[![Build Status](https://travis-ci.org/yoru/zippy.svg?branch=master)](https://travis-ci.org/yoru/zippy)
[![Gem](https://img.shields.io/gem/v/zippyshare.svg)](https://rubygems.org/gems/zippyshare)

# Zippy

This is a straightfoward script to download files from Zippyshare. It takes the
direct download link then delegates the download to wget, a small tool which
manages downloads better than any other.

## Installation

    $ gem install zippyshare

## Usage

```
Commands:
  zippy batch <file> <simultaneous>  # Parse each line of <FILE>
  zippy download <url>               # Download single <URL>
  zippy help [COMMAND]               # Describe available commands or one specific command
```

### Examples

```bash
# Download a single file.
zippy download 'http://www35.zippyshare.com/v/lUtTQ7im/file.html'

# Loop through each line of <links.txt>, two simultaneous downloads.
zippy batch 'links.txt' 2
```

## FAQ

### Is resume supported?

Yes.

### Why wget?

Wget is always present on nearly every Linux distribuition. It's a simple tool
that does its job.

### How to use X instead wget?

Pull requests are welcome, maybe.

```ruby
require 'zippy/parser'

link = Zippy::Parser.parse("http://www35.zippyshare.com/v/lUtTQ7im/file.html")

# do something with interesting...
```

## Contributing

Bug reports and pull requests are welcome.

Don't forget to run:

1. `rubocop -a` to fix offenses.
2. `rake spec` to run the tests.

## License

The gem is available as open source under the terms of the [MIT License](LICENSE).
